#
# Conditional build:
%bcond_without	tiles		# build non-tiles version
#
Summary:	stone soup :: crawl clone
Summary(pl.UTF-8):	stone soup :: klon crawla
Name:		stone_soup
Version:	0.9.2
Release:	1
License:	Nethack Like
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/crawl-ref/%{name}-%{version}.tar.bz2
# Source0-md5:	49bcefc44a5002466e592f693649090b
Source1:	%{name}.desktop
Patch0:		%{name}-systemlua.patch
Patch1:		%{name}-makefile.patch
Patch2:		%{name}-tiles.patch
Patch3:		%{name}-link.patch
URL:		http://crawl.develz.org/
%if %{with tiles}
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
%endif
%{?with_tiles:BuildRequires:	SDL_image-devel}
BuildRequires:	bison
BuildRequires:	cal3d-devel
BuildRequires:	flex
%{?with_tiles:BuildRequires:	freetype-devel}
%{?with_tiles:BuildRequires:	libpng-devel}
BuildRequires:	lua51-devel
BuildRequires:	ncurses-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dungeon Crawl Stone Soup is a fun, free rogue-like game of exploration
and treasure-hunting in dungeons filled with dangerous and unfriendly
monsters in a quest for the mystifyingly fabulous Orb of Zot.

Dungeon Crawl Stone Soup is a variant of Linley's Dungeon Crawl that's
openly developed and invites participation from the Crawl community.

%description -l pl.UTF-8
Dungeon Crawl Stone Soup jest zabawną darmową grą typu roguelike, w
której gracz zwiedza świat poszukując skarbów w lochach pełnych
niebezpiecznych i nieprzyjaznych potworów w celu odnalezienia
tajemniczej baśniowej Kuli Zota.

Dungeon Crawl Stone Soup jest wariantem gry Dungeon Crawl stworzonej
przez Linleya. Jest on otwarcie rozwijany również przez społeczeństwo
Crawla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if %{with tiles}
%patch2 -p1
%else
%patch3 -p1
%endif

%build
%{__make} -C source \
	prefix="%{_prefix}" \
	SAVEDIR="/var/games/stone_soup/" \
	DATADIR="%{_datadir}/stone_soup/" \
	%{?with_tiles:TILES="y"} \
	V="y" \
	CXX="%{__cxx}" \
	OPTFLAGS="%{rpmcxxflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -C source install \
	prefix="%{_prefix}" \
	bin_prefix="bin" \
	SAVEDIR="/var/games/stone_soup/" \
	DATADIR="%{_datadir}/stone_soup/" \
	%{?with_tiles:TILES="y"} \
	V="y" \
	DESTDIR=$RPM_BUILD_ROOT

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a source/dat/tiles/stone_soup_icon-32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS.txt README.* docs
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/%{name}
%attr(775,root,games) %dir /var/games/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/stone_soup.git;a=log;h=master

* Fri Feb 24 2012 lisu <lisu@pld-linux.org> 04dcb68
- 0.9.2

* Mon Jan 09 2012 lisu <lisu@pld-linux.org> 411500a
- rel 2

* Tue Sep 06 2011 lisu <lisu@pld-linux.org> 40e8995
- 0.9.1

* Tue Aug 16 2011 lisu <lisu@pld-linux.org> 1c25805
- updated to 0.9.0

* Tue Jun 14 2011 lisu <lisu@pld-linux.org> dccb642
- updated to 0.8.1

* Wed Apr 27 2011 lisu <lisu@pld-linux.org> 79cd4c3
- updated to 0.8.0

* Mon Feb 14 2011 lisu <lisu@pld-linux.org> 9e6f738
- up to 0.7.2

* Thu Dec 30 2010 lisu <lisu@pld-linux.org> aa8deaf
- init

* Thu Dec 30 2010 lisu <lisu@pld-linux.org> 5317454
- add icon and desktop
- some misc changes

* Fri Oct 29 2010 lisu <lisu@pld-linux.org> f317f3b
- BR: cal3d-devel

* Sun Jul 25 2010 lisu <lisu@pld-linux.org> 92cffed
- 0.7.1

* Sat Jul 24 2010 lisu <lisu@pld-linux.org> a2b5585
- updated for 0.7.0

* Sat Jul 24 2010 lisu <lisu@pld-linux.org> fe78775
- updated to 0.7.0
- patches updated

* Tue Jun 22 2010 lisu <lisu@pld-linux.org> b0cbc17
- link with ltinfow

* Tue Jun 22 2010 lisu <lisu@pld-linux.org> 67a3cbc
- up to 0.6.1
- add patch to fix linking when build without tiles
- change description for bcond

* Thu May 13 2010 sparky <sparky@pld-linux.org> ebea245
- BR: perl-base, pkgconfig, which
- dropped BR: byacc

* Fri Apr 09 2010 lisu <lisu@pld-linux.org> d915e01
- updated for 0.6.0

* Fri Apr 09 2010 lisu <lisu@pld-linux.org> c69b826
- fix tiles build using -tiles.patch

* Fri Apr 09 2010 lisu <lisu@pld-linux.org> f9bcaae
- not longer needed

* Fri Apr 09 2010 lisu <lisu@pld-linux.org> 4527ac1
- remove unneeded -systemsqlite.patch

